package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussOfficialActivity implements Serializable {
    private Integer id;

    private String officname;

    private String offictitle;

    private String officcontent;

    private String officimgurl;

    private String toimgurl;

    private Date starttime;

    private Date endtime;

    private String status;

    private String remark;

    private Date createtime;

    private String createby;

    private Date updatetime;

    private String officdetailimgurl;

    private String activitygroupno;

    private String groupby;

    private String acttype;

    private String roletype;

    private String officrule;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOfficname() {
        return officname;
    }

    public void setOfficname(String officname) {
        this.officname = officname == null ? null : officname.trim();
    }

    public String getOffictitle() {
        return offictitle;
    }

    public void setOffictitle(String offictitle) {
        this.offictitle = offictitle == null ? null : offictitle.trim();
    }

    public String getOfficcontent() {
        return officcontent;
    }

    public void setOfficcontent(String officcontent) {
        this.officcontent = officcontent == null ? null : officcontent.trim();
    }

    public String getOfficimgurl() {
        return officimgurl;
    }

    public void setOfficimgurl(String officimgurl) {
        this.officimgurl = officimgurl == null ? null : officimgurl.trim();
    }

    public String getToimgurl() {
        return toimgurl;
    }

    public void setToimgurl(String toimgurl) {
        this.toimgurl = toimgurl == null ? null : toimgurl.trim();
    }

    public Date getStarttime() {
        return starttime;
    }

    public void setStarttime(Date starttime) {
        this.starttime = starttime;
    }

    public Date getEndtime() {
        return endtime;
    }

    public void setEndtime(Date endtime) {
        this.endtime = endtime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getCreateby() {
        return createby;
    }

    public void setCreateby(String createby) {
        this.createby = createby == null ? null : createby.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public String getOfficdetailimgurl() {
        return officdetailimgurl;
    }

    public void setOfficdetailimgurl(String officdetailimgurl) {
        this.officdetailimgurl = officdetailimgurl == null ? null : officdetailimgurl.trim();
    }

    public String getActivitygroupno() {
        return activitygroupno;
    }

    public void setActivitygroupno(String activitygroupno) {
        this.activitygroupno = activitygroupno == null ? null : activitygroupno.trim();
    }

    public String getGroupby() {
        return groupby;
    }

    public void setGroupby(String groupby) {
        this.groupby = groupby == null ? null : groupby.trim();
    }

    public String getActtype() {
        return acttype;
    }

    public void setActtype(String acttype) {
        this.acttype = acttype == null ? null : acttype.trim();
    }

    public String getRoletype() {
        return roletype;
    }

    public void setRoletype(String roletype) {
        this.roletype = roletype == null ? null : roletype.trim();
    }

    public String getOfficrule() {
        return officrule;
    }

    public void setOfficrule(String officrule) {
        this.officrule = officrule == null ? null : officrule.trim();
    }
}